package routers

import (
	"bzd_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	// 提取数据
	beego.Router("/TaskData/TaskDataClass_List", &controllers.TaskDataController{}, "*:TaskDataClass_List")
	beego.Router("/TaskData/List", &controllers.TaskDataController{}, "*:TaskData_List")
	beego.Router("/TaskData/Add", &controllers.TaskDataController{}, "*:TaskData_Add")         //
	beego.Router("/TaskData/AddS", &controllers.TaskDataController{}, "*:TaskData_AddS")       //
	beego.Router("/TaskData/Up", &controllers.TaskDataController{}, "*:TaskData_Up")           //
	beego.Router("/TaskData/Del", &controllers.TaskDataController{}, "*:TaskData_Del")         //
	beego.Router("/TaskData/DelTid", &controllers.TaskDataController{}, "*:TaskData_Del_t_id") //

	beego.Router("/TaskData/Export_Data_Excel", &controllers.TaskDataController{}, "*:Export_Data_Excel") // 设置 设备参数

	// 数据校验
	beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check") // 设置 设备参数

	beego.Router("/TaskData/Import_TaskData", &controllers.TaskDataController{}, "*:TaskData_Import_TaskData") // 打包本地数据
	beego.Router("/TaskData/Up_TaskData", &controllers.TaskDataController{}, "*:TaskData_Up_TaskData")         // 更新线上数据

}
